LibreOffice LibreOffice 26.2 SDK C/C++ API Reference

Loading...
Searching...
No Matches
string.hxx File Reference
`#include "sal/config.h"`
`#include <cassert>`
`#include <cstddef>`
`#include <cstdlib>`
`#include <limits>`
`#include <new>`
`#include <ostream>`
`#include <utility>`
`#include <string.h>`
`#include "rtl/math.h"`
`#include "rtl/textenc.h"`
`#include "rtl/stringutils.hxx"`

Go to the source code of this file.

## Classes
class | rtl::OString
| This String class provide base functionality for C++ like 8-Bit character array handling. More...
struct | rtl::OStringHash
| A helper to use OStrings with hash maps. More...
struct | rtl::CStringEqual
| Equality functor for classic c-strings (i.e., null-terminated char* strings). More...
struct | rtl::CStringHash
| Hashing functor for classic c-strings (i.e., null-terminated char* strings). More...

## Namespaces
namespace | rtl

## Functions
template<typename charT, typename traits>
std::basic_ostream< charT, traits > & | rtl::operator<< (std::basic_ostream< charT, traits > &stream, OString const &rString)
| Support for rtl::OString in std::ostream (and thus in CPPUNIT_ASSERT or SAL_INFO macros, for example).